com.verisign.epp.codec.nv

## Class EPPNameVerificationCheckCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPCheckCmd
    - - com.verisign.epp.codec.nv.EPPNameVerificationCheckCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPNameVerificationCheckCmd
      extends EPPCheckCmd

  The `EPPNameVerificationCheckCmd` is used for the Name Verification (DNV) Check Command, that is used to determine if the domain label's can be used to create a Domain Name Verification object. It provides a hint that allows a client to anticipate the success or failure of create a DNV object using the create command.
  See Also:
    `EPPNameVerificationCheckResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the name verification check command
    `static int` | `MAX_LABELS` Maximum number of labels to check at once.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameVerificationCheckCmd()` `EPPNameVerificationCheckCmd` default constructor.
    `EPPNameVerificationCheckCmd(java.lang.String aTransId)` `EPPNameVerificationCheckCmd` constructor with just the client transaction identifier.
    `EPPNameVerificationCheckCmd(java.lang.String aTransId, java.util.List<java.lang.String> aNames)` `EPPNameVerificationCheckCmd` constructor that will check a list of labels.
    `EPPNameVerificationCheckCmd(java.lang.String aTransId, java.lang.String aName)` `EPPNameVerificationCheckCmd` constructor that will check an individual label.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLabel(java.lang.String aLabel)` Add a label to the list of labels.
    `java.lang.Object` | `clone()` Clone `EPPNameVerificationCheckCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPNameVerificationCheckCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameVerificationCheckCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameVerificationCheckCmd` with this instance.
    `java.util.List<java.lang.String>` | `getLabels()` Gets labels to check.
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPNameVerificationCheckCmd`.
    `void` | `setLabel(java.lang.String aName)` Sets label to check.
    `void` | `setLabels(java.util.List<java.lang.String> aLabels)` Sets labels to check.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCheckCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAX_LABELS

          public static final int MAX_LABELS

      Maximum number of labels to check at once.
      See Also:
        Constant Field Values

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the name verification check command
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationCheckCmd

          public EPPNameVerificationCheckCmd()

      `EPPNameVerificationCheckCmd` default constructor.

    - #### EPPNameVerificationCheckCmd

          public EPPNameVerificationCheckCmd(java.lang.String aTransId)

      `EPPNameVerificationCheckCmd` constructor with just the client transaction identifier.
      Parameters:
        `aTransId` - Transaction Id associated with command.

    - #### EPPNameVerificationCheckCmd

          public EPPNameVerificationCheckCmd(java.lang.String aTransId,
                                             java.lang.String aName)

      `EPPNameVerificationCheckCmd` constructor that will check an individual label.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aName` - Label name to check

    - #### EPPNameVerificationCheckCmd

          public EPPNameVerificationCheckCmd(java.lang.String aTransId,
                                             java.util.List<java.lang.String> aNames)

      `EPPNameVerificationCheckCmd` constructor that will check a list of labels.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aNames` - `List` of labels to check

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPNameVerificationCheckCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPNameVerificationMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPNameVerificationCheckCmd` with this instance.
      Overrides:
        `equals` in class `EPPCheckCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameVerificationCheckCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        Deep copy clone of `EPPNameVerificationCheckCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### setLabel

          public void setLabel(java.lang.String aName)

      Sets label to check.
      Parameters:
        `aName` - Label to check.

    - #### getLabels

          public java.util.List<java.lang.String> getLabels()

      Gets labels to check.
      Returns:
        List of labels `String`'s.

    - #### setLabels

          public void setLabels(java.util.List<java.lang.String> aLabels)

      Sets labels to check.
      Parameters:
        `aLabels` - Labels to check.

    - #### addLabel

          public void addLabel(java.lang.String aLabel)

      Add a label to the list of labels.
      Parameters:
        `aLabel` - Label to add

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameVerificationCheckCmd` instance.
      Specified by:
        `doEncode` in class `EPPCheckCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPNameVerificationCheckCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPNameVerificationCheckCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPNameVerificationCheckCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPCheckCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameVerificationCheckCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

Copyright © VeriSign Inc. All Rights Reserved.